## ros-kinetic-turtlesim 0.7.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(turtlesim)

find_package(catkin REQUIRED COMPONENTS geometry_msgs message_generation rosconsole roscpp roscpp_serialization roslib rostime std_msgs std_srvs)

find_package(Qt5Widgets REQUIRED)
find_package(Boost REQUIRED COMPONENTS thread)

include_directories(include ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})
link_directories(${catkin_LIBRARY_DIRS})

add_message_files(DIRECTORY msg FILES
                  Color.msg Pose.msg)
add_service_files(DIRECTORY srv FILES
                  Kill.srv
                  SetPen.srv
                  Spawn.srv
                  TeleportAbsolute.srv
                  TeleportRelative.srv)
generate_messages(DEPENDENCIES geometry_msgs std_msgs std_srvs)

catkin_package(CATKIN_DEPENDS geometry_msgs message_runtime std_msgs std_srvs)

set(turtlesim_node_SRCS
  src/turtlesim.cpp
  src/turtle.cpp
  src/turtle_frame.cpp
)
set(turtlesim_node_HDRS
  include/turtlesim/turtle_frame.h
)

qt5_wrap_cpp(turtlesim_node_MOCS ${turtlesim_node_HDRS})


add_executable(turtlesim_node ${turtlesim_node_SRCS} ${turtlesim_node_MOCS})
target_link_libraries(turtlesim_node Qt5::Widgets ${catkin_LIBRARIES} ${Boost_LIBRARIES})
add_dependencies(turtlesim_node turtlesim_gencpp)

add_executable(turtle_teleop_key tutorials/teleop_turtle_key.cpp)
target_link_libraries(turtle_teleop_key ${catkin_LIBRARIES})
add_dependencies(turtle_teleop_key turtlesim_gencpp)
add_executable(draw_square tutorials/draw_square.cpp)
target_link_libraries(draw_square ${catkin_LIBRARIES} ${Boost_LIBRARIES})
add_dependencies(draw_square turtlesim_gencpp)
add_executable(mimic tutorials/mimic.cpp)
target_link_libraries(mimic ${catkin_LIBRARIES})
add_dependencies(mimic turtlesim_gencpp)

install(TARGETS turtlesim_node turtle_teleop_key draw_square mimic
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY images
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  FILES_MATCHING PATTERN "*.png" PATTERN "*.svg")

=== debian/changelog ===
ros-kinetic-turtlesim (0.7.1-0xenial) xenial; urgency=high

  * check pen_on_ when processing teleport requests (#35 <https://github.com/ros/ros_tutorials/pull/35>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 24 Oct 2016 07:00:00 -0000

ros-kinetic-turtlesim (0.7.0-0xenial) xenial; urgency=high

  * add kinetic image
  * update to Qt5
  * fix size of Jade image to not exceed other images in order to not get positioned incorrectly
  * fix compiler warnings

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 18 Mar 2016 07:00:00 -0000

ros-kinetic-turtlesim (0.6.1-0xenial) xenial; urgency=high

  * update the coordinate system in /spawn service for consistency (#25 <https://github.com/ros/ros_tutorials/pull/25>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 19 Sep 2015 07:00:00 -0000

ros-kinetic-turtlesim (0.6.0-0xenial) xenial; urgency=high

  * add jade turtle (#22 <https://github.com/ros/ros_tutorials/pull/22>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 21 May 2015 07:00:00 -0000

ros-kinetic-turtlesim (0.5.3-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 04 May 2015 07:00:00 -0000

ros-kinetic-turtlesim (0.5.2-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 23 Dec 2014 08:00:00 -0000

ros-kinetic-turtlesim (0.5.1-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 08 May 2014 07:00:00 -0000

ros-kinetic-turtlesim (0.5.0-0xenial) xenial; urgency=high

  * add indigo turtle
  * add disabled code to easily spawn all available turtle types

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 07 May 2014 07:00:00 -0000

ros-kinetic-turtlesim (0.4.3-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 07 Jan 2014 08:00:00 -0000

ros-kinetic-turtlesim (0.4.2-0xenial) xenial; urgency=high

  * fix missing install of hydro.svg (#12 <https://github.com/ros/ros_tutorials/issues/12>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 04 Oct 2013 07:00:00 -0000

ros-kinetic-turtlesim (0.4.1-0xenial) xenial; urgency=high

  * add hydro image to turtlesim

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 11 Sep 2013 07:00:00 -0000

ros-kinetic-turtlesim (0.4.0-0xenial) xenial; urgency=high

  * Adding png version of hydro for wiki linking
  * TurtleApp accepts argc by reference
  * Restoring all the changes appropriate for Hydro

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 06 Sep 2013 07:00:00 -0000

ros-kinetic-turtlesim (0.3.13-0xenial) xenial; urgency=high

  * TurtleApp accepts argc by reference
  * add hydro image to turtlesim
  * remove mainpage.dox

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 21 Aug 2013 07:00:00 -0000

ros-kinetic-turtlesim (0.3.12-0xenial) xenial; urgency=high

  * reverting velocity -> twist for groovy
  * Revert "chaning command_velocity to cmd_vel" for groovy
    This reverts commit 96e5174d3a5c961b6e1195b90b4024e2858df010.
  * Revert "adding geometry_msgs dependency in package.xml and CMakelist" for groovy
    This reverts commit c7ac1155d70269909b55af03d13fe2e089d6215d.
  * Revert "alaphabetic order" for groovy
    This reverts commit f928765ed08773517c195b74c55231c0e4fcc5e5.

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 29 Mar 2013 07:00:00 -0000

ros-kinetic-turtlesim (0.3.11-0xenial) xenial; urgency=high

  * update email in package.xml

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 21 Mar 2013 07:00:00 -0000

ros-kinetic-turtlesim (0.3.10-0xenial) xenial; urgency=high

  * Fix a moc generation error with boost >= 1.48
    See:
    https://bugreports.qt-project.org/browse/QTBUG-22829
  * Revert "Merge pull request #6 <https://github.com/ros/ros_tutorials/issues/6> from ros/fix_qt_moc"
    This reverts commit 0e11b41ac53aad0e043b77d4d5950889245eaceb, reversing
    changes made to fc19df449d9ac297e8ab829ff22e99323c33ae93.
  * Revert "fix missing include (regression of #5 <https://github.com/ros/ros_tutorials/issues/5>)"
    This reverts commit 546dabe05c00e87296952cb2ca655e01895bd5ed.
  * fix missing include (regression of #5 <https://github.com/ros/ros_tutorials/issues/5>)
  * Fix a mod generation error with boost >= 1.48
    See:
    https://bugreports.qt-project.org/browse/QTBUG-22829
  * alaphabetic order
  * adding geometry_msgs dependency in package.xml and CMakelist
  * chaning command_velocity to cmd_vel
  * remove turtlesim velocity and use Twist msg

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 08 Mar 2013 08:00:00 -0000

ros-kinetic-turtlesim (0.3.9-0xenial) xenial; urgency=high

  * add groovy turtle
  * modified dep type of catkin

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 21 Dec 2012 08:00:00 -0000

ros-kinetic-turtlesim (0.3.8-0xenial) xenial; urgency=high

  * add missing downstream depend
  * switched from langs to message_* packages

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 13 Dec 2012 08:00:00 -0000

ros-kinetic-turtlesim (0.3.7-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 06 Dec 2012 08:00:00 -0000

ros-kinetic-turtlesim (0.3.6-0xenial) xenial; urgency=high

  * fix catkin function order

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 30 Oct 2012 07:00:00 -0000

ros-kinetic-turtlesim (0.3.5-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 18 Oct 2012 07:00:00 -0000

ros-kinetic-turtlesim (0.3.4-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 06 Oct 2012 07:00:00 -0000

ros-kinetic-turtlesim (0.3.3-0xenial) xenial; urgency=high

  * fixed missing genmsg stuff
  * updated to latest catkin
  * added package.xml files

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 05 Oct 2012 07:00:00 -0000

ros-kinetic-turtlesim (0.3.2-0xenial) xenial; urgency=high

  * updated catkin variables
  * updated pkg-config in manifest.xml

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 05 Sep 2012 07:00:00 -0000



=== debian/control ===
Source: ros-kinetic-turtlesim
Section: misc
Priority: extra
Maintainer: Dirk Thomas <dthomas@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), qt5-qmake, qtbase5-dev, ros-kinetic-catkin, ros-kinetic-geometry-msgs, ros-kinetic-message-generation, ros-kinetic-rosconsole, ros-kinetic-roscpp, ros-kinetic-roscpp-serialization, ros-kinetic-roslib, ros-kinetic-rostime, ros-kinetic-std-msgs, ros-kinetic-std-srvs
Homepage: http://www.ros.org/wiki/turtlesim
Standards-Version: 3.9.2

Package: ros-kinetic-turtlesim
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5core5a, libqt5gui5, ros-kinetic-geometry-msgs, ros-kinetic-message-runtime, ros-kinetic-rosconsole, ros-kinetic-roscpp, ros-kinetic-roscpp-serialization, ros-kinetic-roslib, ros-kinetic-rostime, ros-kinetic-std-msgs, ros-kinetic-std-srvs
Description: turtlesim is a tool made for teaching ROS and ROS packages.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-turtlesim//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
